package ihm.exception;

/**
 * Exception pour les fichiers (lecture/criture/formatage)
 * @see Exception
 * @author matthieulopez
 *
 */
public class FileProblem extends Exception {

	/**
	 * Serial ID
	 */
	private static final long serialVersionUID = -1064268354552272583L;
	
	/**
	 * Nom du fichier concern
	 */
	String filename;

	public FileProblem(String filename, String message) {
		super(message);
		this.filename=filename;
	}
	
	public String getMessage(){
		return filename+" : "+super.getMessage();
	}

}
